<?php $__env->startSection('pagename'); ?>
    - <?php echo e(__('Home')); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('meta-description', !empty($seo) ? $seo->home_meta_description : ''); ?>
<?php $__env->startSection('meta-keywords', !empty($seo) ? $seo->home_meta_keywords : ''); ?>

<?php $__env->startSection('content'); ?>
    <!--====== Start Saas-banner section ======-->
    <section class="saas-banner">
        <div class="shape">
            <img data-src="<?php echo e(asset('assets/front/img/shape-1.png')); ?>" class="img-fluid img-1 lazy" alt="">
            <img data-src="<?php echo e(asset('assets/front/img/shape-2.png')); ?>" class="img-fluid img-2 lazy" alt="">
        </div>
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-6">
                    <div class="hero-content">
                        <span class="span">
                            <?php echo e($be->hero_section_title); ?>

                        </span>
                        <h1><?php echo e($be->hero_section_text); ?></h1>
                        <ul>

                            <?php if(!empty($be->hero_section_button_url)): ?>
                                <li>
                                    <a href="<?php echo e($be->hero_section_button_url); ?>"
                                        class="main-btn"><?php echo e($be->hero_section_button_text); ?>

                                        <i class="fal fa-long-arrow-alt-right"></i>
                                    </a>
                                </li>
                            <?php endif; ?>
                            <?php if(!empty($be->hero_section_video_url)): ?>
                                <li>
                                    <a href="<?php echo e($be->hero_section_video_url); ?>" class="video-popup"><i
                                            class="fas fa-play"></i></a>
                                </li>
                            <?php endif; ?>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="hero-img">
                        <img data-src="<?php echo e(asset('assets/front/img/' . $be->hero_img)); ?>" class="img-fluid lazy"
                            alt="">
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--====== End Saas-banner section ======-->

    <?php if($bs->intro_section == 1): ?>
        <!--====== Start saas-analysis section ======-->
        <section class="saas-analysis pt-120 pb-80">
            <div class="container">
                <div class="row align-items-center">
                    <div class="col-lg-7">
                        <div class="choose-img mb-40">
                            <img data-src="<?php echo e(asset('assets/front/img/' . $bs->intro_main_image)); ?>" class="img-fluid lazy"
                                alt="">
                        </div>
                    </div>
                    <div class="col-lg-5">
                        <div class="choose-content-box mb-40">
                            <div class="section-title-one section-title-two mb-20">
                                <span class="span"><?php echo e($bs->intro_title); ?></span>
                                <h2><?php echo e($bs->intro_subtitle); ?></h2>
                            </div>
                            <p><?php echo nl2br($bs->intro_text); ?> </p>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--====== End saas-analysis section ======-->
    <?php endif; ?>


    <?php if($bs->feature_section == 1): ?>
        <!--====== Start saas-features section ======-->
        <section class="saas-features pb-80">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6">
                        <div class="section-title-one section-title-two">
                            <?php if(!empty($bs->feature_title)): ?>
                                <span class="span"><?php echo e($bs->feature_title); ?></span>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <?php $__currentLoopData = $features; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $feature): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="col-lg-4 col-md-6 col-sm-12">
                            <div class="features-item mb-40">
                                <i class="<?php echo e($feature->icon); ?>"></i>
                                <h4><?php echo e($feature->title); ?></h4>
                                <p><?php echo e($feature->text); ?></p>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </section>
        <!--====== End saas-features section ======-->
    <?php endif; ?>

    <?php if($bs->process_section == 1): ?>
        <!--====== Start saas-project section ======-->
        <section class="saas-project">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-6">
                        <div class="section-title-one text-center mb-55">
                            <?php if(!empty($bs->work_process_title)): ?>
                                <span class="span"><?php echo e($bs->work_process_title); ?></span>
                            <?php endif; ?>
                            <?php if(!empty($bs->work_process_subtitle)): ?>
                                <h2><?php echo e($bs->work_process_subtitle); ?></h2>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="work-slide">
                    <?php $__currentLoopData = $processes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $process): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="work-item">
                            <div class="work-img">
                                <img data-src="<?php echo e(asset('assets/front/img/process/' . $process->image)); ?>"
                                    class="img-fluid lazy" alt="">
                                <a href="#" class="count"><?php echo e($key < 9 ? '0' . ++$key : ++$key); ?></a>
                            </div>
                            <div class="work-info">
                                <h5><?php echo e($process->title); ?></h5>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </section>
        <!--====== End saas-project section ======-->
    <?php endif; ?>

    <?php if($bs->templates_section == 1): ?>
        <section class="saas-features pt-120">
            <div class="container">
                <div class="row justify-content-center text-center">
                    <div class="col-lg-6">
                        <div class="section-title-one mb-55">
                            <span class="span"><?php echo e($bs->preview_templates_title); ?></span>
                            <h2><?php echo e($bs->preview_templates_subtitle); ?></h2>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <?php $__currentLoopData = $templates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $template): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="col-lg-4 col-md-6 col-sm-12">
                            <a class="d-block features-item mb-40 p-0" href="<?php echo e(detailsUrl($template)); ?>" target="_blank">
                                <img src="<?php echo e(asset('assets/front/img/template-previews/' . $template->template_img)); ?>"
                                    alt="" class="w-100 lazy">
                            </a>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </section>
    <?php endif; ?>

    <?php if($bs->featured_users_section == 1): ?>
        <!--====== Start saas-featured-users section ======-->
        <section class="saas-featured-users pt-120 pb-120">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6">
                        <div class="section-title-one section-title-two mb-50">
                            <?php if(!empty($bs->featured_users_title)): ?>
                                <span class="span"><?php echo e($bs->featured_users_title); ?></span>
                            <?php endif; ?>
                            <?php if(!empty($bs->featured_users_subtitle)): ?>
                                <h2><?php echo e($bs->featured_users_subtitle); ?></h2>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="user-slide">
                    <?php $__currentLoopData = $featured_users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $featured_user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="user-item">
                            <div class="title">
                                <img class="lazy"
                                    data-src="<?php echo e(isset($featured_user->photo) ? asset('assets/front/img/user/' . $featured_user->photo) : asset('assets/admin/img/propics/blank_user.jpg')); ?>"
                                    alt="user">
                                <h5><?php echo e($featured_user->first_name . ' ' . $featured_user->last_name); ?></h5>
                                <span><?php echo e($featured_user->username); ?></span>
                            </div>
                            <div class="user-button">
                                <?php
                                    if (!empty($featured_user)) {
                                        $currentPackage = App\Http\Helpers\UserPermissionHelper::userPackage($featured_user->id);
                                        $preferences = App\Models\User\UserPermission::where([['user_id', $featured_user->id], ['package_id', $currentPackage->package_id]])->first();
                                        $permissions = isset($preferences) ? json_decode($preferences->permissions, true) : [];
                                    }
                                ?>
                                <ul>
                                    <li><a href="<?php echo e(detailsUrl($featured_user)); ?>" class="main-btn"><i
                                                class="fas fa-eye"></i><?php echo e(__('View Profile')); ?></a></li>
                                    <?php if(auth()->guard()->guest()): ?>
                                        <?php if(!empty($permissions) && in_array('Follow/Unfollow', $permissions)): ?>
                                            <li>
                                                <a href="<?php echo e(route('user.follow', ['id' => $featured_user->id])); ?>"
                                                    class="main-btn"><i class="fal fa-user-plus"></i><?php echo e(__('Follow')); ?>

                                                </a>
                                            </li>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                    <?php if(Auth::check() && Auth::id() != $featured_user->id): ?>
                                        <?php if(!empty($permissions) && in_array('Follow/Unfollow', $permissions)): ?>
                                            <li>
                                                <?php if(App\Models\User\Follower::where('follower_id', Auth::id())->where('following_id', $featured_user->id)->count() > 0): ?>
                                                    <a href="<?php echo e(route('user.unfollow', $featured_user->id)); ?>"
                                                        class="main-btn"><i
                                                            class="fal fa-user-minus"></i><?php echo e(__('Unfollow')); ?>

                                                    </a>
                                                <?php else: ?>
                                                    <a href="<?php echo e(route('user.follow', ['id' => $featured_user->id])); ?>"
                                                        class="main-btn"><i
                                                            class="fal fa-user-plus"></i><?php echo e(__('Follow')); ?>

                                                <?php endif; ?>
                                                </a>
                                            </li>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                </ul>
                            </div>
                            <div class="social-box">
                                <ul class="social-link">
                                    <?php $__currentLoopData = $featured_user->social_media; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $social): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li><a href="<?php echo e($social->url); ?>" class="facebook" target="_blank"><i
                                                    class="<?php echo e($social->icon); ?>"></i></a></li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </section>
        <!--====== End saas-featured-users section ======-->
    <?php endif; ?>

    <?php if($bs->pricing_section == 1): ?>
        <!--====== Start saas-pricing section ======-->
        <section class="saas-pricing pt-110 pb-120">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-6">
                        <div class="section-title-one text-center mb-50">
                            <?php if(!empty($bs->pricing_title)): ?>
                                <span class="span"><?php echo e($bs->pricing_title); ?></span>
                            <?php endif; ?>
                            <?php if(!empty($bs->pricing_subtitle)): ?>
                                <h2><?php echo e($bs->pricing_subtitle); ?></h2>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>

                <?php if(count($terms) > 1): ?>
                    <div class="row justify-content-center">
                        <div class="col-lg-4">
                            <div class="pricing-tabs text-center">
                                <ul class="nav nav-tabs">
                                    <?php $__currentLoopData = $terms; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $term): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li class="nav-item mr-1">
                                            <a class="nav-link <?php echo e($loop->first ? 'active' : ''); ?>" data-toggle="tab"
                                                href="#<?php echo e(strtolower($term)); ?>"><?php echo e(__("$term")); ?></a>
                                        </li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>

                <div class="pricing-wrapper tab-content">
                    <?php $__currentLoopData = $terms; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $term): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div id="<?php echo e(strtolower($term)); ?>" class="tab-pane <?php echo e($loop->first ? 'show active' : ''); ?> fade">
                            <div class="row no-gutters ">
                                <?php
                                    $packages = \App\Models\Package::where('status', '1')
                                        ->where('featured', '1')
                                        ->where('term', strtolower($term))
                                        ->get();
                                ?>
                                <?php $__currentLoopData = $packages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $package): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                        $pFeatures = json_decode($package->features);
                                    ?>
                                    <div class="col-lg-4 col-md-6 col-sm-12">
                                        <div class="pricing-item">
                                            <div class="title">
                                                <h3><?php echo e($package->title); ?></h3>
                                                <h2 class="price">
                                                    <?php echo e($package->price != 0 && $be->base_currency_symbol_position == 'left' ? $be->base_currency_symbol : ''); ?><?php echo e($package->price == 0 ? 'Free' : $package->price); ?><?php echo e($package->price != 0 && $be->base_currency_symbol_position == 'right' ? $be->base_currency_symbol : ''); ?><span
                                                        class="month">/ <?php echo e(__("$package->term")); ?></span>
                                                </h2>
                                            </div>
                                            <div class="pricing-body">
                                                <ul class="list">
                                                    <?php $__currentLoopData = $allPfeatures; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $feature): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <li
                                                            class="<?php echo e(is_array($pFeatures) && in_array($feature, $pFeatures) ? 'checked' : 'unchecked'); ?>">
                                                            <?php if($feature == 'vCard' && is_array($pFeatures) && in_array($feature, $pFeatures)): ?>
                                                                <?php if($package->number_of_vcards == 999999): ?>
                                                                    <?php echo e(__('Unlimited')); ?> <?php echo e(__('vCards')); ?>

                                                                <?php elseif(empty($package->number_of_vcards)): ?>
                                                                    0 <?php echo e(__('vCard')); ?>

                                                                <?php else: ?>
                                                                    <?php echo e($package->number_of_vcards); ?>

                                                                    <?php echo e($package->number_of_vcards > 1 ? __('vCards') : __('vCard')); ?>

                                                                <?php endif; ?>
                                                                <?php continue; ?>
                                                            <?php elseif($feature == 'vCard' && (is_array($pFeatures) && !in_array($feature, $pFeatures))): ?>
                                                                <?php echo e(__('vCards')); ?>

                                                                <?php continue; ?>
                                                            <?php endif; ?>
                                                            <?php echo e(__("$feature")); ?>

                                                            <?php if($feature == 'Plugins'): ?>
                                                                (<?php echo e(__('Google Analytics, Disqus, WhatsApp, Facebook Pixel, Tawk.to')); ?>)
                                                            <?php endif; ?>
                                                        </li>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </ul>
                                            </div>
                                            <div class="pricing-button">
                                                <?php if($package->is_trial === '1' && $package->price != 0): ?>
                                                    <a href="<?php echo e(route('front.register.view', ['status' => 'trial', 'id' => $package->id])); ?>"
                                                        class="main-btn"><?php echo e(__('Trial')); ?></a>
                                                <?php endif; ?>
                                                <?php if($package->price == 0): ?>
                                                    <a href="<?php echo e(route('front.register.view', ['status' => 'regular', 'id' => $package->id])); ?>"
                                                        class="main-btn"><?php echo e(__('Signup')); ?></a>
                                                <?php else: ?>
                                                    <a href="<?php echo e(route('front.register.view', ['status' => 'regular', 'id' => $package->id])); ?>"
                                                        class="main-btn"><?php echo e(__('Purchase')); ?></a>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </div>
            </div>
        </section>
        <!--====== End saas-pricing section ======-->
    <?php endif; ?>

    <?php if($bs->testimonial_section == 1): ?>
        <!--====== Start saas-testimonial section ======-->
        <section class="saas-testimonial pb-120">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6">
                        <div class="section-title-one section-title-two mb-50">
                            <?php if(!empty($bs->testimonial_title)): ?>
                                <span class="span"><?php echo e($bs->testimonial_title); ?></span>
                            <?php endif; ?>
                            <?php if(!empty($bs->testimonial_subtitle)): ?>
                                <h2><?php echo e($bs->testimonial_subtitle); ?></h2>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="testimonial-slide">
                    <?php $__currentLoopData = $testimonials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $testimonial): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="testimonial-item">
                            <div class="thumb">
                                <img class="lazy"
                                    data-src="<?php echo e($testimonial->image ? asset('assets/front/img/testimonials/' . $testimonial->image) : asset('assets/front/img/thumb-1.jpg')); ?>"
                                    alt="">
                            </div>
                            <div class="content">
                                <p><?php echo e($testimonial->comment); ?></p>
                                <h5><?php echo e($testimonial->name); ?></h5>
                                <small><?php echo e($testimonial->rank); ?></small>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </section>
        <!--====== End saas-testimonial section ======-->
    <?php endif; ?>

    <?php if($bs->news_section == 1): ?>
        <!--====== Start saas-blog section ======-->
        <section class="saas-blog pb-80">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-6">
                        <div class="section-title-one text-center mb-50">
                            <?php if(!empty($bs->blog_title)): ?>
                                <span class="span"><?php echo e($bs->blog_title); ?></span>
                            <?php endif; ?>
                            <?php if(!empty($bs->blog_subtitle)): ?>
                                <h2><?php echo e($bs->blog_subtitle); ?></h2>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <?php $__currentLoopData = $blogs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $blog): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="col-lg-6">
                            <div class="blog-item mb-40">
                                <div class="entry-content">
                                    <div class="entry-meta">
                                        <ul>
                                            <li><span><i class="fas fa-user"></i><a
                                                        href="<?php echo e(route('front.blogs', ['category' => $blog->bcategory->id])); ?>"><?php echo e($blog->bcategory->name); ?></a></span>
                                            </li>
                                            <li>
                                                <span>
                                                    <i class="fas fa-calendar-alt"></i>
                                                    <a
                                                        href="#"><?php echo e(\Carbon\Carbon::parse($blog->created_at)->format('F j, Y')); ?></a>
                                                </span>
                                            </li>
                                        </ul>
                                    </div>
                                    <h3 class="title"><a
                                            href="<?php echo e(route('front.blogdetails', ['id' => $blog->id, 'slug' => $blog->slug])); ?>"><?php echo e($blog->title); ?></a>
                                    </h3>
                                    <a href="<?php echo e(route('front.blogdetails', ['id' => $blog->id, 'slug' => $blog->slug])); ?>"
                                        class="read-btn"><?php echo e(__('Read More')); ?></a>
                                </div>
                                <a class="post-img d-block"
                                    href="<?php echo e(route('front.blogdetails', ['id' => $blog->id, 'slug' => $blog->slug])); ?>">
                                    <img data-src="<?php echo e(asset('assets/front/img/blogs/' . $blog->main_image)); ?>"
                                        class="img-fluid lazy" alt="">
                                </a>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </section>
        <!--====== End saas-blog section ======-->
    <?php endif; ?>

    <?php if($bs->partners_section == 1): ?>
        <!--====== Start saas-sponsor section ======-->
        <section class="saas-sponsor">
            <div class="container">
                <div class="row sponsor-slide">
                    <?php $__currentLoopData = $partners; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $partner): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="col-lg-3 sponsor-item">
                            <a href="<?php echo e($partner->url); ?>" target="_blank">
                                <img data-src="<?php echo e(asset('assets/front/img/partners/' . $partner->image)); ?>"
                                    class="img-fluid lazy" alt="">
                            </a>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </section>
        <!--====== End saas-sponsor section ======-->
    <?php endif; ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('front.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/samiulalimpratik/Sites/profilex/profilex/resources/views/front/index.blade.php ENDPATH**/ ?>